const gradientBox = document.getElementById('gradient-box');
const colorCode = document.getElementById('color-code');
const generateBtn = document.getElementById('generate-btn');
const colorInput1 = document.getElementById('color1');
const colorInput2 = document.getElementById('color2');
const directionSelect = document.getElementById('direction-select');

function generateGradient() {
  const color1 = colorInput1.value;
  const color2 = colorInput2.value;
  const direction = directionSelect.value;
  gradientBox.style.background = `linear-gradient(${direction}, ${color1}, ${color2})`;
  colorCode.value = `background: linear-gradient(${direction}, ${color1}, ${color2}); `;
}

function copyCode() {
  const code = colorCode.value;
  navigator.clipboard.writeText(code)
    .then(() => {
      alert('Gradient code copied to clipboard');
    })
    .catch(err => {
      console.error('Failed to copy: ', err);
    });
}

generateBtn.addEventListener('click', generateGradient);